ru.bitel.bgbilling.modules.tv.runtime

## Class TvTarifficationManager.CalculateResult

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.runtime.TvTarifficationManager.CalculateResult

- Enclosing class:
    TvTarifficationManager

      public static final class TvTarifficationManager.CalculateResult
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalculateResult(ru.bitel.bgbilling.modules.tv.tariff.server.TvTariffRequest req, java.math.BigDecimal balance, java.util.Map<TvTarifficationManager.MonthKey,java.util.Map<TvTarifficationManager.ProductAccountKey,TvTarifficationManager.AccountDelta>> productAccountDeltaMonthMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getBalance()`
    `java.util.Map<TvTarifficationManager.MonthKey,java.util.Map<TvTarifficationManager.ProductAccountKey,TvTarifficationManager.AccountDelta>>` | `getProductAccountDeltaMonthMap()`
    `ru.bitel.bgbilling.modules.tv.tariff.server.TvTariffRequest` | `getReq()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalculateResult

          public CalculateResult(ru.bitel.bgbilling.modules.tv.tariff.server.TvTariffRequest req,
                                 java.math.BigDecimal balance,
                                 java.util.Map<TvTarifficationManager.MonthKey,java.util.Map<TvTarifficationManager.ProductAccountKey,TvTarifficationManager.AccountDelta>> productAccountDeltaMonthMap)

  - ### Method Detail

    - #### getReq

          public ru.bitel.bgbilling.modules.tv.tariff.server.TvTariffRequest getReq()

    - #### getBalance

          public java.math.BigDecimal getBalance()

    - #### getProductAccountDeltaMonthMap

          public java.util.Map<TvTarifficationManager.MonthKey,java.util.Map<TvTarifficationManager.ProductAccountKey,TvTarifficationManager.AccountDelta>> getProductAccountDeltaMonthMap()